TemplateCompilerSimulator
Keywords: uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator,TemplateCompilerSimulator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class TemplateCompilerSimulator

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.templates.wrapper.TemplateCompilerSimulator

Direct Known Subclasses:
  DefaultTemplate

public abstract class TemplateCompilerSimulator
extends java.lang.Object

Nested Class Summary
`static class` | `TemplateCompilerSimulator.CONSTRAINTS`
`static class` | `TemplateCompilerSimulator.CONSTRAINTSLIST`
`class` | `TemplateCompilerSimulator.CONSTRUCT`
`static class` | `TemplateCompilerSimulator.FUNCTION`
`static class` | `TemplateCompilerSimulator.FUNCTIONLIST`
`static class` | `TemplateCompilerSimulator.ITEM`
`static class` | `TemplateCompilerSimulator.LIST`
`static class` | `TemplateCompilerSimulator.NAME`
`static class` | `TemplateCompilerSimulator.NAMELIST`
`static class` | `TemplateCompilerSimulator.OBJECT`
`static class` | `TemplateCompilerSimulator.OBJECTLIST`
`static class` | `TemplateCompilerSimulator.SCHEME`
`static class` | `TemplateCompilerSimulator.STRING`
`static class` | `TemplateCompilerSimulator.STRINGLIST`

Field Summary
`protected java.util.Hashtable` | `aliases`
`protected AutoMedWrapperFactory` | `awf`
`protected static int` | `COLLECTING`
`TemplateCompilerSimulator.CONSTRUCT` | `CONSTRUCT`
`protected java.util.Hashtable` | `currentForeachVariables`
`protected int` | `currentKey`
`protected java.util.Stack` | `currentScopeStack`
`protected Model` | `defaultModel`
`protected static int` | `DEFINING_FOREACH_VARIABLES`
`protected static int` | `DEFINING_IF_VALRIABLES`
`protected static int` | `DEFINING_INPUT_VARIABLES`
`protected static int` | `FINISHED`
`protected java.util.Stack` | `foreachStack`
`protected java.util.Stack` | `ifStack`
`protected java.lang.String` | `initialSchemaKey`
`protected java.util.Vector` | `inputVariables`
`protected TArgument` | `lastSchema`
`protected java.util.Stack` | `loopStatementsStack`
`protected TTemplate` | `mainTemplate`
`protected static char` | `METHOD_PREFIX`
`protected java.util.Vector` | `outerMostVariables`
`protected static int` | `STARTED`
`protected int` | `state`
`protected java.util.ArrayList` | `templateStatements`
`protected java.util.Hashtable` | `temporaryForeachOutputVariables`
`static int` | `TypeConstraints`
`static int` | `TypeConstraintsList`
`static int` | `TypeFunction`
`static int` | `TypeFunctionList`
`static int` | `TypeItem`
`static int` | `TypeList`
`static int` | `TypeName`
`static int` | `TypeNameList`
`static int` | `TypeObject`
`static int` | `TypeObjectList`
`static int` | `TypeString`
`static int` | `TypeStringList`
`protected static char` | `VARIABLE_PREFIX`
`protected static int` | `WRITTING_CODE`

Constructor Summary
`protected` | `TemplateCompilerSimulator()`
`protected` | `TemplateCompilerSimulator(AutoMedWrapperFactory awf)`

Method Summary
`TemplateCompilerSimulator.OBJECT` | `ADD(Construct con, java.lang.Object[] scheme)`
`TemplateCompilerSimulator.OBJECT` | `ADD(Construct con, java.lang.Object[] scheme, TemplateCompilerSimulator.CONSTRAINTS c)`
`TemplateCompilerSimulator.OBJECT` | `ADD(Construct con, java.lang.Object[] scheme, TemplateCompilerSimulator.CONSTRAINTS c, TemplateCompilerSimulator.FUNCTION f)`
`TemplateCompilerSimulator.OBJECT` | `ADD(Construct con, java.lang.Object[] scheme, TemplateCompilerSimulator.FUNCTION f)`
`TemplateCompilerSimulator.OBJECT` | `ADD(Construct con, java.lang.Object[] scheme, TemplateCompilerSimulator.FUNCTION f, TemplateCompilerSimulator.CONSTRAINTS c)`
`void` | `ALIAS(TemplateCompilerSimulator.ITEM item, java.lang.String alias)`
`TemplateCompilerSimulator.CONSTRAINTS` | `askForConstraints(java.lang.String description)`
`TemplateCompilerSimulator.CONSTRAINTSLIST` | `askForConstraintsList(java.lang.String description)`
`TemplateCompilerSimulator.CONSTRAINTSLIST` | `askForConstraintsList(java.lang.String description, TemplateCompilerSimulator.LIST ref)`
`TemplateCompilerSimulator.FUNCTION` | `askForFunction(java.lang.String description)`
`TemplateCompilerSimulator.FUNCTIONLIST` | `askForFunctionList(java.lang.String description)`
`TemplateCompilerSimulator.FUNCTIONLIST` | `askForFunctionList(java.lang.String description, TemplateCompilerSimulator.LIST ref)`
`TemplateCompilerSimulator.NAME` | `askForName(java.lang.String description)`
`TemplateCompilerSimulator.NAMELIST` | `askForNameList(java.lang.String description)`
`TemplateCompilerSimulator.NAMELIST` | `askForNameList(java.lang.String description, TemplateCompilerSimulator.LIST ref)`
`TemplateCompilerSimulator.OBJECT` | `askForObject(java.lang.String description)`
`TemplateCompilerSimulator.OBJECT` | `askForObject(java.lang.String description, Construct constr)`
`TemplateCompilerSimulator.OBJECTLIST` | `askForObjectList(java.lang.String description)`
`TemplateCompilerSimulator.OBJECTLIST` | `askForObjectList(java.lang.String description, Construct constr)`
`TemplateCompilerSimulator.OBJECTLIST` | `askForObjectList(java.lang.String description, Construct constr, TemplateCompilerSimulator.LIST ref)`
`TemplateCompilerSimulator.OBJECTLIST` | `askForObjectList(java.lang.String description, TemplateCompilerSimulator.LIST ref)`
`void` | `buildTemplate()`
`TemplateCompilerSimulator.LIST` | `COLLECTS(TemplateCompilerSimulator.ITEM item)`
`void` | `CONTRACT(TemplateCompilerSimulator.OBJECT obj)`
`void` | `CONTRACT(TemplateCompilerSimulator.OBJECT obj, TemplateCompilerSimulator.CONSTRAINTS c)`
`void` | `CONTRACT(TemplateCompilerSimulator.OBJECT obj, TemplateCompilerSimulator.CONSTRAINTS c, TemplateCompilerSimulator.FUNCTION f)`
`void` | `CONTRACT(TemplateCompilerSimulator.OBJECT obj, TemplateCompilerSimulator.FUNCTION f)`
`void` | `CONTRACT(TemplateCompilerSimulator.OBJECT obj, TemplateCompilerSimulator.FUNCTION f, TemplateCompilerSimulator.CONSTRAINTS c)`
`TemplateCompilerSimulator.LIST` | `CREATE_LIST(TemplateCompilerSimulator.ITEM[] itemArray)`
`abstract java.lang.String` | `defaultModel()` Return the AutoMed `Model` that the template transformation will generate or delete `SchemaObject`s in
`TemplateCompilerSimulator.CONSTRAINTS` | `DEFINE_CONSTRAINTS(java.lang.Object[] objs)`
`TemplateCompilerSimulator.CONSTRAINTS` | `DEFINE_CONSTRAINTS(java.lang.Object[] objs, java.lang.String op)`
`TemplateCompilerSimulator.CONSTRAINTS` | `DEFINE_CONSTRAINTS(java.lang.String s)`
`TemplateCompilerSimulator.CONSTRAINTS` | `DEFINE_CONSTRAINTS(java.lang.String s, java.lang.String op)`
`TemplateCompilerSimulator.FUNCTION` | `DEFINE_FUNCTION(java.lang.Object[] objs)`
`TemplateCompilerSimulator.FUNCTION` | `DEFINE_FUNCTION(java.lang.Object[] objs, java.lang.String op)`
`TemplateCompilerSimulator.FUNCTION` | `DEFINE_FUNCTION(java.lang.String s)`
`TemplateCompilerSimulator.FUNCTION` | `DEFINE_FUNCTION(java.lang.String s, java.lang.String op)`
`TemplateCompilerSimulator.NAME` | `DEFINE_NAME(java.lang.Object[] objs)`
`TemplateCompilerSimulator.NAME` | `DEFINE_NAME(java.lang.Object[] objs, java.lang.String op)`
`TemplateCompilerSimulator.NAME` | `DEFINE_NAME(java.lang.String s)`
`TemplateCompilerSimulator.NAME` | `DEFINE_NAME(java.lang.String s, java.lang.String op)`
`TemplateCompilerSimulator.STRING` | `DEFINE_STRING(java.lang.Object[] objs)`
`TemplateCompilerSimulator.STRING` | `DEFINE_STRING(java.lang.Object[] objs, java.lang.String op)`
`TemplateCompilerSimulator.STRING` | `DEFINE_STRING(java.lang.String s)`
`TemplateCompilerSimulator.STRING` | `DEFINE_STRING(java.lang.String s, java.lang.String op)`
`TemplateCompilerSimulator.STRING` | `DEFINE_STRING(TemplateCompilerSimulator.STRINGLIST strlst)`
`TemplateCompilerSimulator.STRING` | `DEFINE_STRING(TemplateCompilerSimulator.STRINGLIST strlst, java.lang.String op)`
`protected abstract void` | `defineTemplate()`
`void` | `DELETE(TemplateCompilerSimulator.OBJECT obj)`
`void` | `DELETE(TemplateCompilerSimulator.OBJECT obj, TemplateCompilerSimulator.CONSTRAINTS c)`
`void` | `DELETE(TemplateCompilerSimulator.OBJECT obj, TemplateCompilerSimulator.CONSTRAINTS c, TemplateCompilerSimulator.FUNCTION f)`
`void` | `DELETE(TemplateCompilerSimulator.OBJECT obj, TemplateCompilerSimulator.FUNCTION f)`
`void` | `DELETE(TemplateCompilerSimulator.OBJECT obj, TemplateCompilerSimulator.FUNCTION f, TemplateCompilerSimulator.CONSTRAINTS c)`
`void` | `DO()`
`void` | `END()`
`void` | `ENDFOREACH()`
`TemplateCompilerSimulator.OBJECT` | `EXTEND(Construct con, java.lang.Object[] scheme)`
`TemplateCompilerSimulator.OBJECT` | `EXTEND(Construct con, java.lang.Object[] scheme, TemplateCompilerSimulator.CONSTRAINTS c)`
`TemplateCompilerSimulator.OBJECT` | `EXTEND(Construct con, java.lang.Object[] scheme, TemplateCompilerSimulator.CONSTRAINTS c, TemplateCompilerSimulator.FUNCTION f)`
`TemplateCompilerSimulator.OBJECT` | `EXTEND(Construct con, java.lang.Object[] scheme, TemplateCompilerSimulator.FUNCTION f)`
`TemplateCompilerSimulator.OBJECT` | `EXTEND(Construct con, java.lang.Object[] scheme, TemplateCompilerSimulator.FUNCTION f, TemplateCompilerSimulator.CONSTRAINTS c)`
`void` | `FOREACH()`
`protected java.lang.String` | `getNextKey()`
`TemplateCompilerSimulator.CONSTRAINTS` | `IN(TemplateCompilerSimulator.CONSTRAINTS ref)`
`TemplateCompilerSimulator.CONSTRAINTS` | `IN(TemplateCompilerSimulator.CONSTRAINTSLIST conList)`
`TemplateCompilerSimulator.FUNCTION` | `IN(TemplateCompilerSimulator.FUNCTION ref)`
`TemplateCompilerSimulator.FUNCTION` | `IN(TemplateCompilerSimulator.FUNCTIONLIST funList)`
`TemplateCompilerSimulator.NAME` | `IN(TemplateCompilerSimulator.NAMELIST nmList)`
`TemplateCompilerSimulator.OBJECT` | `IN(TemplateCompilerSimulator.OBJECTLIST obList)`
`protected void` | `initialise()`
`void` | `INPUTS()`
`TArgument[]` | `my(TemplateCompilerSimulator.NAME m)`
`protected void` | `newInput(TemplateCompilerSimulator.ITEM i)`
`protected void` | `removeFromScope(TemplateCompilerSimulator.ITEM i)`
`TemplateCompilerSimulator.LIST` | `SCHEME_LIST(TemplateCompilerSimulator.OBJECT obj)`
`protected void` | `setDefaultModel()`
`protected void` | `setForeachTemplateSchema()`
`TemplateCompilerSimulator.LIST` | `SIZEOF(TemplateCompilerSimulator.LIST ref)`
`void` | `START()`
`protected abstract java.lang.String` | `templateDescription()`
`abstract java.lang.String` | `templateName()` Return the name used to identify the template transformation that will be compiled by an implementation of this class.
`TemplateCompilerSimulator.NAME` | `VARIES_WITH(TemplateCompilerSimulator.NAME ref)`
`TemplateCompilerSimulator.NAMELIST` | `VARIES_WITH(TemplateCompilerSimulator.NAMELIST ref)`
`TemplateCompilerSimulator.OBJECT` | `VARIES_WITH(TemplateCompilerSimulator.OBJECT ref)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VARIABLE_PREFIX

    protected static final char VARIABLE_PREFIX

See Also:
  Constant Field Values

### METHOD_PREFIX

    protected static final char METHOD_PREFIX

See Also:
  Constant Field Values

### STARTED

    protected static final int STARTED

See Also:
  Constant Field Values

### DEFINING_INPUT_VARIABLES

    protected static final int DEFINING_INPUT_VARIABLES

See Also:
  Constant Field Values

### WRITTING_CODE

    protected static final int WRITTING_CODE

See Also:
  Constant Field Values

### DEFINING_FOREACH_VARIABLES

    protected static final int DEFINING_FOREACH_VARIABLES

See Also:
  Constant Field Values

### DEFINING_IF_VALRIABLES

    protected static final int DEFINING_IF_VALRIABLES

See Also:
  Constant Field Values

### COLLECTING

    protected static final int COLLECTING

See Also:
  Constant Field Values

### FINISHED

    protected static final int FINISHED

See Also:
  Constant Field Values

### TypeItem

    public static final int TypeItem

See Also:
  Constant Field Values

### TypeObject

    public static final int TypeObject

See Also:
  Constant Field Values

### TypeString

    public static final int TypeString

See Also:
  Constant Field Values

### TypeName

    public static final int TypeName

See Also:
  Constant Field Values

### TypeFunction

    public static final int TypeFunction

See Also:
  Constant Field Values

### TypeConstraints

    public static final int TypeConstraints

See Also:
  Constant Field Values

### TypeList

    public static final int TypeList

See Also:
  Constant Field Values

### TypeObjectList

    public static final int TypeObjectList

See Also:
  Constant Field Values

### TypeStringList

    public static final int TypeStringList

See Also:
  Constant Field Values

### TypeNameList

    public static final int TypeNameList

See Also:
  Constant Field Values

### TypeFunctionList

    public static final int TypeFunctionList

See Also:
  Constant Field Values

### TypeConstraintsList

    public static final int TypeConstraintsList

See Also:
  Constant Field Values

### currentKey

    protected int currentKey

### foreachStack

    protected java.util.Stack foreachStack

### ifStack

    protected java.util.Stack ifStack

### currentScopeStack

    protected java.util.Stack currentScopeStack

### loopStatementsStack

    protected java.util.Stack loopStatementsStack

### templateStatements

    protected java.util.ArrayList templateStatements

### mainTemplate

    protected TTemplate mainTemplate

### inputVariables

    protected java.util.Vector inputVariables

### outerMostVariables

    protected java.util.Vector outerMostVariables

### temporaryForeachOutputVariables

    protected java.util.Hashtable temporaryForeachOutputVariables

### currentForeachVariables

    protected java.util.Hashtable currentForeachVariables

### lastSchema

    protected TArgument lastSchema

### aliases

    protected java.util.Hashtable aliases

### initialSchemaKey

    protected java.lang.String initialSchemaKey

### defaultModel

    protected Model defaultModel

### CONSTRUCT

    public TemplateCompilerSimulator.CONSTRUCT CONSTRUCT

### awf

    protected AutoMedWrapperFactory awf

### state

    protected int state

Constructor Detail

### TemplateCompilerSimulator

    protected TemplateCompilerSimulator(AutoMedWrapperFactory awf)
                                 throws java.lang.Exception

### TemplateCompilerSimulator

    protected TemplateCompilerSimulator()
                                 throws java.lang.Exception

Method Detail

### templateName

    public abstract java.lang.String templateName()

  Return the name used to identify the template transformation that will be compiled by an implementation of this class.

### templateDescription

    protected abstract java.lang.String templateDescription()

### defaultModel

    public abstract java.lang.String defaultModel()

  Return the AutoMed `Model` that the template transformation will generate or delete `SchemaObject`s in

### initialise

    protected void initialise()
                       throws java.lang.Exception

    `java.lang.Exception`

### setDefaultModel

    protected void setDefaultModel()

### ALIAS

    public void ALIAS(TemplateCompilerSimulator.ITEM item,
                      java.lang.String alias)
               throws java.lang.Exception

    `java.lang.Exception`

### buildTemplate

    public final void buildTemplate()
                             throws java.lang.Exception

    `java.lang.Exception`

### defineTemplate

    protected abstract void defineTemplate()
                                    throws java.lang.Exception

    `java.lang.Exception`

### getNextKey

    protected java.lang.String getNextKey()

### FOREACH

    public void FOREACH()
                 throws java.lang.Exception

    `java.lang.Exception`

### DO

    public void DO()
            throws java.lang.Exception

    `java.lang.Exception`

### setForeachTemplateSchema

    protected void setForeachTemplateSchema()
                                     throws java.lang.Exception

    `java.lang.Exception`

### ENDFOREACH

    public void ENDFOREACH()
                    throws java.lang.Exception

    `java.lang.Exception`

### INPUTS

    public void INPUTS()

### START

    public void START()

### END

    public void END()
             throws java.lang.Exception

    `java.lang.Exception`

### CREATE_LIST

    public TemplateCompilerSimulator.LIST CREATE_LIST(TemplateCompilerSimulator.ITEM[] itemArray)
                                               throws java.lang.Exception

    `java.lang.Exception`

### COLLECTS

    public TemplateCompilerSimulator.LIST COLLECTS(TemplateCompilerSimulator.ITEM item)
                                            throws java.lang.Exception

    `java.lang.Exception`

### newInput

    protected void newInput(TemplateCompilerSimulator.ITEM i)

### SIZEOF

    public TemplateCompilerSimulator.LIST SIZEOF(TemplateCompilerSimulator.LIST ref)
                                          throws java.lang.Exception

    `java.lang.Exception`

### askForName

    public TemplateCompilerSimulator.NAME askForName(java.lang.String description)
                                              throws java.lang.Exception

    `java.lang.Exception`

### askForObject

    public TemplateCompilerSimulator.OBJECT askForObject(java.lang.String description,
                                                         Construct constr)
                                                  throws java.lang.Exception

    `java.lang.Exception`

### askForObject

    public TemplateCompilerSimulator.OBJECT askForObject(java.lang.String description)
                                                  throws java.lang.Exception

    `java.lang.Exception`

### askForFunction

    public TemplateCompilerSimulator.FUNCTION askForFunction(java.lang.String description)
                                                      throws java.lang.Exception

    `java.lang.Exception`

### askForConstraints

    public TemplateCompilerSimulator.CONSTRAINTS askForConstraints(java.lang.String description)
                                                            throws java.lang.Exception

    `java.lang.Exception`

### askForObjectList

    public TemplateCompilerSimulator.OBJECTLIST askForObjectList(java.lang.String description,
                                                                 Construct constr)
                                                          throws java.lang.Exception

    `java.lang.Exception`

### askForObjectList

    public TemplateCompilerSimulator.OBJECTLIST askForObjectList(java.lang.String description)
                                                          throws java.lang.Exception

    `java.lang.Exception`

### askForObjectList

    public TemplateCompilerSimulator.OBJECTLIST askForObjectList(java.lang.String description,
                                                                 Construct constr,
                                                                 TemplateCompilerSimulator.LIST ref)
                                                          throws java.lang.Exception

    `java.lang.Exception`

### askForObjectList

    public TemplateCompilerSimulator.OBJECTLIST askForObjectList(java.lang.String description,
                                                                 TemplateCompilerSimulator.LIST ref)
                                                          throws java.lang.Exception

    `java.lang.Exception`

### askForNameList

    public TemplateCompilerSimulator.NAMELIST askForNameList(java.lang.String description)
                                                      throws java.lang.Exception

    `java.lang.Exception`

### askForNameList

    public TemplateCompilerSimulator.NAMELIST askForNameList(java.lang.String description,
                                                             TemplateCompilerSimulator.LIST ref)
                                                      throws java.lang.Exception

    `java.lang.Exception`

### askForFunctionList

    public TemplateCompilerSimulator.FUNCTIONLIST askForFunctionList(java.lang.String description)
                                                              throws java.lang.Exception

    `java.lang.Exception`

### askForFunctionList

    public TemplateCompilerSimulator.FUNCTIONLIST askForFunctionList(java.lang.String description,
                                                                     TemplateCompilerSimulator.LIST ref)
                                                              throws java.lang.Exception

    `java.lang.Exception`

### askForConstraintsList

    public TemplateCompilerSimulator.CONSTRAINTSLIST askForConstraintsList(java.lang.String description)
                                                                    throws java.lang.Exception

    `java.lang.Exception`

### askForConstraintsList

    public TemplateCompilerSimulator.CONSTRAINTSLIST askForConstraintsList(java.lang.String description,
                                                                           TemplateCompilerSimulator.LIST ref)
                                                                    throws java.lang.Exception

    `java.lang.Exception`

### my

    public TArgument[] my(TemplateCompilerSimulator.NAME m)

### EXTEND

    public TemplateCompilerSimulator.OBJECT EXTEND(Construct con,
                                                   java.lang.Object[] scheme,
                                                   TemplateCompilerSimulator.FUNCTION f,
                                                   TemplateCompilerSimulator.CONSTRAINTS c)
                                            throws java.lang.Exception

    `java.lang.Exception`

### EXTEND

    public TemplateCompilerSimulator.OBJECT EXTEND(Construct con,
                                                   java.lang.Object[] scheme)
                                            throws java.lang.Exception

    `java.lang.Exception`

### EXTEND

    public TemplateCompilerSimulator.OBJECT EXTEND(Construct con,
                                                   java.lang.Object[] scheme,
                                                   TemplateCompilerSimulator.FUNCTION f)
                                            throws java.lang.Exception

    `java.lang.Exception`

### EXTEND

    public TemplateCompilerSimulator.OBJECT EXTEND(Construct con,
                                                   java.lang.Object[] scheme,
                                                   TemplateCompilerSimulator.CONSTRAINTS c)
                                            throws java.lang.Exception

    `java.lang.Exception`

### EXTEND

    public TemplateCompilerSimulator.OBJECT EXTEND(Construct con,
                                                   java.lang.Object[] scheme,
                                                   TemplateCompilerSimulator.CONSTRAINTS c,
                                                   TemplateCompilerSimulator.FUNCTION f)
                                            throws java.lang.Exception

    `java.lang.Exception`

### ADD

    public TemplateCompilerSimulator.OBJECT ADD(Construct con,
                                                java.lang.Object[] scheme,
                                                TemplateCompilerSimulator.FUNCTION f,
                                                TemplateCompilerSimulator.CONSTRAINTS c)
                                         throws java.lang.Exception

    `java.lang.Exception`

### ADD

    public TemplateCompilerSimulator.OBJECT ADD(Construct con,
                                                java.lang.Object[] scheme)
                                         throws java.lang.Exception

    `java.lang.Exception`

### ADD

    public TemplateCompilerSimulator.OBJECT ADD(Construct con,
                                                java.lang.Object[] scheme,
                                                TemplateCompilerSimulator.FUNCTION f)
                                         throws java.lang.Exception

    `java.lang.Exception`

### ADD

    public TemplateCompilerSimulator.OBJECT ADD(Construct con,
                                                java.lang.Object[] scheme,
                                                TemplateCompilerSimulator.CONSTRAINTS c)
                                         throws java.lang.Exception

    `java.lang.Exception`

### ADD

    public TemplateCompilerSimulator.OBJECT ADD(Construct con,
                                                java.lang.Object[] scheme,
                                                TemplateCompilerSimulator.CONSTRAINTS c,
                                                TemplateCompilerSimulator.FUNCTION f)
                                         throws java.lang.Exception

    `java.lang.Exception`

### SCHEME_LIST

    public TemplateCompilerSimulator.LIST SCHEME_LIST(TemplateCompilerSimulator.OBJECT obj)
                                               throws java.lang.Exception

    `java.lang.Exception`

### CONTRACT

    public void CONTRACT(TemplateCompilerSimulator.OBJECT obj,
                         TemplateCompilerSimulator.FUNCTION f,
                         TemplateCompilerSimulator.CONSTRAINTS c)
                  throws java.lang.Exception

    `java.lang.Exception`

### CONTRACT

    public void CONTRACT(TemplateCompilerSimulator.OBJECT obj,
                         TemplateCompilerSimulator.FUNCTION f)
                  throws java.lang.Exception

    `java.lang.Exception`

### CONTRACT

    public void CONTRACT(TemplateCompilerSimulator.OBJECT obj,
                         TemplateCompilerSimulator.CONSTRAINTS c)
                  throws java.lang.Exception

    `java.lang.Exception`

### CONTRACT

    public void CONTRACT(TemplateCompilerSimulator.OBJECT obj,
                         TemplateCompilerSimulator.CONSTRAINTS c,
                         TemplateCompilerSimulator.FUNCTION f)
                  throws java.lang.Exception

    `java.lang.Exception`

### CONTRACT

    public void CONTRACT(TemplateCompilerSimulator.OBJECT obj)
                  throws java.lang.Exception

    `java.lang.Exception`

### DELETE

    public void DELETE(TemplateCompilerSimulator.OBJECT obj,
                       TemplateCompilerSimulator.FUNCTION f,
                       TemplateCompilerSimulator.CONSTRAINTS c)
                throws java.lang.Exception

    `java.lang.Exception`

### DELETE

    public void DELETE(TemplateCompilerSimulator.OBJECT obj,
                       TemplateCompilerSimulator.FUNCTION f)
                throws java.lang.Exception

    `java.lang.Exception`

### DELETE

    public void DELETE(TemplateCompilerSimulator.OBJECT obj,
                       TemplateCompilerSimulator.CONSTRAINTS c)
                throws java.lang.Exception

    `java.lang.Exception`

### DELETE

    public void DELETE(TemplateCompilerSimulator.OBJECT obj,
                       TemplateCompilerSimulator.CONSTRAINTS c,
                       TemplateCompilerSimulator.FUNCTION f)
                throws java.lang.Exception

    `java.lang.Exception`

### DELETE

    public void DELETE(TemplateCompilerSimulator.OBJECT obj)
                throws java.lang.Exception

    `java.lang.Exception`

### IN

    public TemplateCompilerSimulator.NAME IN(TemplateCompilerSimulator.NAMELIST nmList)
                                      throws java.lang.Exception

    `java.lang.Exception`

### IN

    public TemplateCompilerSimulator.OBJECT IN(TemplateCompilerSimulator.OBJECTLIST obList)
                                        throws java.lang.Exception

    `java.lang.Exception`

### IN

    public TemplateCompilerSimulator.FUNCTION IN(TemplateCompilerSimulator.FUNCTIONLIST funList)
                                          throws java.lang.Exception

    `java.lang.Exception`

### IN

    public TemplateCompilerSimulator.CONSTRAINTS IN(TemplateCompilerSimulator.CONSTRAINTSLIST conList)
                                             throws java.lang.Exception

    `java.lang.Exception`

### VARIES_WITH

    public TemplateCompilerSimulator.NAMELIST VARIES_WITH(TemplateCompilerSimulator.NAMELIST ref)
                                                   throws java.lang.Exception

    `java.lang.Exception`

### VARIES_WITH

    public TemplateCompilerSimulator.NAME VARIES_WITH(TemplateCompilerSimulator.NAME ref)
                                               throws java.lang.Exception

    `java.lang.Exception`

### VARIES_WITH

    public TemplateCompilerSimulator.OBJECT VARIES_WITH(TemplateCompilerSimulator.OBJECT ref)
                                                 throws java.lang.Exception

    `java.lang.Exception`

### IN

    public TemplateCompilerSimulator.FUNCTION IN(TemplateCompilerSimulator.FUNCTION ref)
                                          throws java.lang.Exception

    `java.lang.Exception`

### IN

    public TemplateCompilerSimulator.CONSTRAINTS IN(TemplateCompilerSimulator.CONSTRAINTS ref)
                                             throws java.lang.Exception

    `java.lang.Exception`

### removeFromScope

    protected void removeFromScope(TemplateCompilerSimulator.ITEM i)

### DEFINE_STRING

    public TemplateCompilerSimulator.STRING DEFINE_STRING(java.lang.String s)
                                                   throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_STRING

    public TemplateCompilerSimulator.STRING DEFINE_STRING(java.lang.Object[] objs)
                                                   throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_STRING

    public TemplateCompilerSimulator.STRING DEFINE_STRING(java.lang.String s,
                                                          java.lang.String op)
                                                   throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_STRING

    public TemplateCompilerSimulator.STRING DEFINE_STRING(java.lang.Object[] objs,
                                                          java.lang.String op)
                                                   throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_FUNCTION

    public TemplateCompilerSimulator.FUNCTION DEFINE_FUNCTION(java.lang.String s)
                                                       throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_FUNCTION

    public TemplateCompilerSimulator.FUNCTION DEFINE_FUNCTION(java.lang.Object[] objs)
                                                       throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_FUNCTION

    public TemplateCompilerSimulator.FUNCTION DEFINE_FUNCTION(java.lang.String s,
                                                              java.lang.String op)
                                                       throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_FUNCTION

    public TemplateCompilerSimulator.FUNCTION DEFINE_FUNCTION(java.lang.Object[] objs,
                                                              java.lang.String op)
                                                       throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_NAME

    public TemplateCompilerSimulator.NAME DEFINE_NAME(java.lang.String s)
                                               throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_NAME

    public TemplateCompilerSimulator.NAME DEFINE_NAME(java.lang.Object[] objs)
                                               throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_NAME

    public TemplateCompilerSimulator.NAME DEFINE_NAME(java.lang.String s,
                                                      java.lang.String op)
                                               throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_NAME

    public TemplateCompilerSimulator.NAME DEFINE_NAME(java.lang.Object[] objs,
                                                      java.lang.String op)
                                               throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_CONSTRAINTS

    public TemplateCompilerSimulator.CONSTRAINTS DEFINE_CONSTRAINTS(java.lang.String s)
                                                             throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_CONSTRAINTS

    public TemplateCompilerSimulator.CONSTRAINTS DEFINE_CONSTRAINTS(java.lang.Object[] objs)
                                                             throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_CONSTRAINTS

    public TemplateCompilerSimulator.CONSTRAINTS DEFINE_CONSTRAINTS(java.lang.String s,
                                                                    java.lang.String op)
                                                             throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_CONSTRAINTS

    public TemplateCompilerSimulator.CONSTRAINTS DEFINE_CONSTRAINTS(java.lang.Object[] objs,
                                                                    java.lang.String op)
                                                             throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_STRING

    public TemplateCompilerSimulator.STRING DEFINE_STRING(TemplateCompilerSimulator.STRINGLIST strlst)
                                                   throws java.lang.Exception

    `java.lang.Exception`

### DEFINE_STRING

    public TemplateCompilerSimulator.STRING DEFINE_STRING(TemplateCompilerSimulator.STRINGLIST strlst,
                                                          java.lang.String op)
                                                   throws java.lang.Exception

    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD